<ng-container  *ngFor="let seniority of seniorities | async" >
    <div>
        <button mat-raised-button class="seniority-button"
        (click)="choose($event, seniority)">
            <p>{{seniority.name}}</p>
        </button>
    </div>
</ng-container>